跳到正文
API 参考
API 参考

创建 Guardrail 分配

将一个 Guardrail 附加到 Standard API 密钥或账户成员。

将一个 Guardrail 附加到 Standard API 密钥或账户成员。

端点

POST /api/v1/guardrail_assignments
基础 URL
https://runapi.ai
API 版本
v1
身份验证
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
授权
账户管理员可以分配任何符合条件的目标。非管理员用户只能分配自己的 Standard API 密钥。
02

请求

JSON 请求体

只能在列出的请求位置发送值。

JSON 请求体3 个字段
account_user_idstring
可选

Account-member prefix ID. This target requires an account admin.

api_token_idstring
可选

Standard API key prefix ID. Provide exactly one target ID.

guardrail_idstring
必填

Guardrail prefix ID.

03

成功响应

HTTP 201

POST /api/v1/guardrail_assignments

JSON
{
  "account_user_id": null,
  "api_token_id": "token_123",
  "created_at": "2026-07-27T10:00:00.000Z",
  "guardrail_id": "guardrail_123",
  "id": "guardrail_assignment_123"
}
04

错误响应 (401)

HTTP 401
响应 Schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

响应示例

JSON
{
  "error": "Authentication required"
}
05

错误响应 (403)

HTTP 403
响应 Schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

响应示例

JSON
{
  "error": "Management API key required"
}
06

错误响应 (400)

HTTP 400
响应 Schema
JSON
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "Human-readable error message.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "Human-readable validation summary.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Validation messages keyed by public request field, with an array of human-readable strings for each field.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}

响应示例

JSON
{
  "error": "page must be an integer"
}
07

错误响应 (403)

HTTP 403
响应 Schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

响应示例

JSON
{
  "error": "Forbidden"
}
08

错误响应 (404)

HTTP 404
响应 Schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable error message.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

响应示例

JSON
{
  "error": "Resource not found"
}
09

错误响应 (422)

HTTP 422
响应 Schema
JSON
{
  "properties": {
    "error": {
      "description": "Human-readable validation summary.",
      "type": "string"
    },
    "errors": {
      "additionalProperties": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "description": "Validation messages keyed by public request field, with an array of human-readable strings for each field.",
      "type": "object"
    }
  },
  "required": [
    "error",
    "errors"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

响应示例

JSON
{
  "error": "Validation failed",
  "errors": {
    "base": [
      "Validation failed"
    ]
  }
}
10

cURL 示例

CURL
curl -X POST https://runapi.ai/api/v1/guardrail_assignments \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"guardrail_id":"guardrail_123","api_token_id":"token_123"}'